<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sooka.mybatis.mapper.TCmsVoteLogMapper">
    <resultMap id="BaseResultMap" type="com.sooka.mybatis.model.TCmsVoteLog">
        <id column="log_id" jdbcType="INTEGER" property="log_id" />
        <result column="vote_id" jdbcType="INTEGER" property="vote_id" />
        <result column="IP" jdbcType="VARCHAR" property="IP" />
        <result column="votetime" jdbcType="TIMESTAMP" property="votetime" />
    </resultMap>

    <select id="checkIP" parameterType="java.lang.String"  resultMap="BaseResultMap">
        select  * from t_cms_vote_log where IP = #{IP,jdbcType=VARCHAR}
    </select>

    <select id="checkContent" parameterType="java.lang.String"  resultMap="BaseResultMap">
        select * from t_cms_vote_log where vote_id = #{vote_id,jdbcType=INTEGER}
        and IP = #{IP,jdbcType=VARCHAR}
    </select>

    <select id="findByIP" parameterType="java.lang.String" resultMap="BaseResultMap">
        select * from t_cms_vote_log where IP = #{IP,jdbcType=VARCHAR}
    </select>
</mapper>